#!/bin/sh

set -e

echo "Building for RISC-V 64..."

[ -d "build" ] || mkdir build
rm -rf build/*

riscv64-linux-gnu-as main.s -o build/main.o
riscv64-linux-gnu-gcc \
	build/main.o \
	-o build/main \
	-nostdlib \
	-static

echo "OK"
